light-mode-image
Learn
API ReferenceJSON

Create a revocation message payload

Roles

adminissuermanaged-issuer

Analytics Events

CREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_STARTCREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_SUCCESSCREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_FAIL
POST/v2/credentials/web-semantic/{id}/revocation-status/notification

Returns a message in JWM format that can be used to notify subjects based on their credential revocation status change.

To send a notification to the Subject DID holder, use the returned payload with the encrypt and send endpoints.

Analytic events

  • CREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_START
  • CREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_SUCCESS
  • CREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Unique identifier for the credential whose status has changed.

Formatuuid

Request Body

application/json

Create a JWM message payload

TypeScript Definitions

Use the request body type in TypeScript.

Create a payload

Response Body

application/json

curl -X POST "https://example.com/v2/credentials/web-semantic/497f6eca-6276-4993-bfeb-53cbbbba6f08/revocation-status/notification" \  -H "Content-Type: application/json" \  -d '{    "from": "string",    "to": [      "string"    ]  }'
{  "id": "string",  "type": "string",  "to": [    {}  ],  "from": "string",  "created_time": 0,  "body": {    "revocationListCredential": "string",    "revocationListIndex": "string",    "isRevoked": true  }}

How would you rate this page?